tidy.ridgelm {broom} | R Documentation

## Tidy a(n) ridgelm object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'ridgelm'
    tidy(x, ...)

### Arguments

`x` | A `ridgelm` object returned from `MASS::lm.ridge()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A tibble::tibble with one row for each combination of lambda and a term in the formula, with columns:

`lambda` | choice of lambda
`GCV` | generalized cross validation value for this lambda
`term` | the term in the ridge regression model being estimated
`estimate` | estimate of scaled coefficient using this lambda
`scale` | Scaling factor of estimated coefficient

### See Also

`tidy()`, `MASS::lm.ridge()`

Other ridgelm tidiers: `glance.ridgelm`

### Examples

    names(longley)[1] <- "y"
    fit1 <- MASS::lm.ridge(y ~ ., longley)
    tidy(fit1)

    fit2 <- MASS::lm.ridge(y ~ ., longley, lambda = seq(0.001, .05, .001))
    td2 <- tidy(fit2)
    g2 <- glance(fit2)

    # coefficient plot
    library(ggplot2)
    ggplot(td2, aes(lambda, estimate, color = term)) +
      geom_line()

    # GCV plot
    ggplot(td2, aes(lambda, GCV)) +
      geom_line()

    # add line for the GCV minimizing estimate
    ggplot(td2, aes(lambda, GCV)) +
      geom_line() +
      geom_vline(xintercept = g2$lambdaGCV, col = "red", lty = 2)

[Package broom version 0.5.2 Index]